Canalplan Bug Tracker



Anonymous Login
2019-01-23 05:52 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000447Canalplan [All Projects] Data Maintenancepublic2018-05-21 16:30
ReporterNick Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000447: Adding photos over midnight fails
DescriptionBecause the transaction queue uses the date to separate files into
directories, doing a multi-stage transaction (adding a photo principally,
but there may be others) over midnight breaks as it can't find the file to
update.

The right approach must be to keep the whole transaction in a variable
between stages, rather than just the trailing part, but the easiest might
be to check and fiddle.
Additional InformationThis is carried over from the old bug tracker, and will hit its tenth anniversary on 17 September 2019. It has just bitten someone (18-19 April 2018) so really ought to be addressed.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000449closedNick Atty Midnight Crash 
+Relationships

-Notes

~0001755

Nick Atty (administrator)

Fixed - slightly inelegantly: if the file doesn't exist it goes back a day and tries again - but works in testing.

~0001793

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-19 06:53 Nick Atty New Issue
2018-04-19 06:53 Nick Atty Status new => assigned
2018-04-19 06:53 Nick Atty Assigned To => Nick Atty
2018-04-20 06:35 Nick Atty Relationship added has duplicate 0000449
2018-04-21 16:26 Nick Atty Status assigned => resolved
2018-04-21 16:26 Nick Atty Resolution open => fixed
2018-04-21 16:26 Nick Atty Note Added: 0001755
2018-05-21 16:30 Autoclose Note Added: 0001793
2018-05-21 16:30 Autoclose Status resolved => closed
+Issue History